Bug 1487597 (CVE-2016-10510) - CVE-2016-10510 php-Kohana: XSS vulnerability via bypassing the strip_image_tags protection mechanism
Summary: CVE-2016-10510 php-Kohana: XSS vulnerability via bypassing the strip_image_ta...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-10510
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1487598 1487599
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-01 11:08 UTC by Adam Mariš
Modified: 2019-09-29 14:20 UTC (History)
1 user (show)

Fixed In Version: php-Kohana 3.3.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:23:42 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-09-01 11:08:10 UTC
Cross-site scripting (XSS) vulnerability in the Security component of
Kohana before 3.3.6 allows remote attackers to inject arbitrary web
script or HTML by bypassing the strip_image_tags protection mechanism
in system/classes/Kohana/Security.php.

Upstream bug:

https://github.com/kohana/kohana/issues/107

Upstream patch:

https://github.com/kohana/core/pull/697

Reference:

https://github.com/kohana/kohana/releases/tag/v3.3.6

Comment 1 Adam Mariš 2017-09-01 11:08:29 UTC
Created php-Kohana tracking bugs for this issue:

Affects: epel-6 [bug 1487598]
Affects: fedora-all [bug 1487599]

Comment 2 Product Security DevOps Team 2019-06-08 03:23:42 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.